﻿<?php
    /*
    * Project:     Clan Stat
    * License:     Creative Commons - Attribution-Noncommercial-Share Alike 3.0 Unported
    * Link:        http://creativecommons.org/licenses/by-nc-sa/3.0/
    * -----------------------------------------------------------------------
    * Began:       2012
    * Date:        $Date: 2012-12-11
    * -----------------------------------------------------------------------
    * @author      $Author: SHW $
    * @copyright   2012-2012 SHW
    * @link        http://wot-news.com
    * @package     Clan Stat
    * @version     $Rev: 2.1.5 $
    *
    */
?>
<?php
    error_reporting(E_ALL);
    ini_set("display_errors", 1);
    if (file_exists(dirname(__FILE__).'/func_ajax.php')) {
        define('LOCAL_DIR', dirname(__FILE__));
        include_once (LOCAL_DIR.'/func_ajax.php');
        define('ROOT_DIR', base_dir('ajax'));
    }else{
        define('LOCAL_DIR', '.');
        include_once (LOCAL_DIR.'/func_ajax.php');
        define('ROOT_DIR', '..');
    };
    include_once(ROOT_DIR.'/function/mysql.php');
    include_once(ROOT_DIR.'/function/func.php');
    include_once(ROOT_DIR.'/function/func_main.php');
    include_once(ROOT_DIR.'/function/func_time.php');
    include_once(ROOT_DIR.'/function/config.php');
    include_once(ROOT_DIR.'/config/config_'.$config['server'].'.php');

    foreach(scandir(ROOT_DIR.'/translate/') as $files){
        if (preg_match ("/_".$config['lang'].".php/", $files)){
            include_once(ROOT_DIR.'/translate/'.$files);
        }
    } 
    include_once(ROOT_DIR.'/function/cache.php');

    //cache
    $cache = new Cache(ROOT_DIR.'/cache/');
?>
    <script>
        $(document).ready(function()
        {
            $('.bb[title]').qtip({
                position: {
                    target: 'mouse',
                    adjust: { screen: true, mouse: true }
                },
                style: {
                    background: 'white',
                    color: 'black',
                    textAlign: 'center',
                    padding: '5px 5px',
                    width: {
                        max: 400,
                        min: 0
                    },
                    border: {
                        width: 1,
                        radius: 2,
                        color: '#000'
                    },
                    tip: false
                }
            });
        });   
    </script> 


<style>
table.main-table td {
         padding-left: 10px;
         padding-right: 10px;
}
table.t-table {
    font-family:arial;
    background-color: #CDCDCD;
    margin:10px 0pt 15px;
    font-size: 8pt;
    font-weight: bold;
    width: 100%;
    text-align: left;
}
table.t-table thead tr th, table.tablesorter tfoot tr th {
    background-color: #8dbdd8;
    font-size: 8pt;
    font-weight: bold;
    padding: 4px;
}
table.t-table thead tr .header {
    background-image: url(../images/bg.gif);
    background-repeat: no-repeat;
    background-position: center right;
    cursor: pointer;
}
table.t-table tbody td {
    color: #3D3D3D;
    padding: 4px;
    background-color: #FFF;
    vertical-align: top;
}
table.t-table tbody tr.odd td {
    background-color:#F0F0F6;
}
table.t-table thead tr th a:link {
    color:black;
}

table.t-table thead tr th a:visited {
    color:black;
}
table.t-table thead tr th a:hover {
    color:grey;
}
tr.colNames th  {
    background-color:#e6EEEE;
    font-size: 8pt;
    font-weight: bold;
    padding: 4px;
}

.a_num {
    position:absolute; 
    bottom:1px; 
    padding:0px 3px; 
    text-align:center; 
    right:1px; 
    min-width:18px; 
    background-color:#F0F0F6; 
    color: black; 
    border:1px solid black;
    font-size:10px;
}
.medalDiv {
    text-align:center;
    width:70px; 
    height:75px; 
    *display:inline; 
    *float:left;
    display:inline-block; 
    margin:5px; 
    position:relative;
}
.faded {
    opacity:0.4;
    filter: alpha(opacity=40);
}
.medalContainer {
    background-color:#F0F0F6; border:1px solid #666; text-align:center;
}
</style>

<?
     $not_incl = array ('account_id', 'name', 'role', 'server', 'reg', 'local', 'member_since');
     $darkgreen = '<span style="color:DarkGreen;"><img style="vertical-align: -5%;" width="11" height="11" src="./images/up.png">&nbsp;';
     $darkred = '<span style="color:DarkRed;"><img style="vertical-align: -5%;" width="11" height="11" src="./images/down.png">&nbsp;';
     $darkend = '</span>';
     $b_info_nation = array();
     $b_info_type = array();
     $b_info_lvl = array();
     $b_diff_played = array();
     $b_played_tanks = array ();
     $effect = array();
     global $db;

     $sql = "SELECT * FROM tanks ORDER BY id ASC;";
     $q = $db->prepare($sql);
     if ($q->execute() == TRUE) {
        $b_tank_name_tmp = $q->fetchAll(PDO::FETCH_ASSOC);
     }  else {
        die(show_message($q->errorInfo(),__line__,__file__,$sql));
     };
     foreach($b_tank_name_tmp as $tmp) {
        $b_tank_name[$tmp['id']] = $tmp;
     };
     unset($b_tank_name_tmp);

     $b_nation = tanks_nations();
//start check

/*     foreach ($b_nation as $val) {
        $sql = "SELECT * FROM col_tank_".$val['nation']." LIMIT 0,25;";
                $q = $db->prepare($sql);
                if ($q->execute() == TRUE) {
                    $b_tanks = $q->fetchAll();
                } else {
                    die(show_message($q->errorInfo(),__line__,__file__,$sql));
                };
        foreach ($b_tanks[0] as $key => $val2) {
           if (!is_numeric($key) && !in_array($key,$not_incl) && ($key <>'up')){
               $b_key1 = explode('_',$key);
               if (isset ($b_tank_name[$b_key1[0]]['nation'])) {
                   if (($b_tank_name[$b_key1[0]]['nation']<>$val['nation']) &&($b_key1[1]<>'w')) {
                        print_R('ERROR: wrong column '.$to_del.'_t in col_tank_'.$nationkey.'<br>');
                   }
               } else {
                  print_R('ERROR: wrong column '.$to_del.'_t in col_tank_'.$nationkey.'<br>');
               }
           }
        }
     }; */

     foreach ($b_tank_name as $key_id => $val) {
        $sql = "SELECT * FROM col_tank_".$val['nation']." LIMIT 0,25;";
                $q = $db->prepare($sql);
                if ($q->execute() == TRUE) {
                    $b_tanks = $q->fetchAll();
                } else {
                    die(show_message($q->errorInfo(),__line__,__file__,$sql));
                };
        if (!isset($b_tanks[0][$key_id.'_t'])) {
            print_R('ERROR: missing column '.$key_id.'_t in col_tank_'.$val['nation']);
            $Error = true;
            $sql = "ALTER TABLE `col_tank_".$val['nation']."` ADD `".$key_id."_w` INT( 12 ) NOT NULL, ADD `".$key_id."_t` INT( 12 ) NOT NULL;";
                 $q = $db->prepare($sql);
                 if ($q->execute() <> TRUE) die(show_message($q->errorInfo(),__line__,__file__,$sql));
            $sql = "ALTER TABLE `col_rating_tank_".$val['nation']."` ADD `".$key_id."_sp` INT( 12 ) NOT NULL, ADD `".$key_id."_dd` INT( 12 ) NOT NULL, ADD `".$key_id."_sb` INT( 12 ) NOT NULL, ADD `".$key_id."_fr` INT( 12 ) NOT NULL;";
                 $q = $db->prepare($sql);
                 if ($q->execute() <> TRUE) {
                     die(show_message($q->errorInfo(),__line__,__file__,$sql));
                 } else {
                     print_R('...Fixed<br>');
                 };
        }
     };
//end check

    if (isset($_POST['b_from']) ) {
        $b_from = $_POST['b_from'];
    }else{
        $b_from = '';
    };
    if (isset($_POST['b_to']) ) {
        $b_to = $_POST['b_to'];
    }else{
        $b_to = '';
    };
    if (isset($_POST['b_player']) ) {
        $b_player = $_POST['b_player'];
    }else{
        $b_player = '';
    };

If (($b_from<>'') && ($b_to<>'') && !isset ($Error) ) {
    $b_from1 = explode('.',$b_from);
    $b_from11 = mktime(0, 0, 0, $b_from1['1'], $b_from1['0'], $b_from1['2']);
    $b_to1 = explode('.',$b_to);
    $b_to11 = mktime(23, 59, 59, $b_to1['1'], $b_to1['0'], $b_to1['2']);
    $resall = $cache->get('get_last_roster',0);
    foreach($resall['data']['request_data']['items'] as $id =>$val) {
       if ($val['name']==$b_player) {
           $b_res = $val;
       }
     };
     unset($resall);
     $sql = "SELECT * FROM col_tank_".$b_nation[0]['nation']." WHERE account_id = '".$b_res['account_id']."' AND up < '".$b_to11."' AND up >= '".$b_from11."' ORDER BY up DESC;";
          $q = $db->prepare($sql);
          if ($q->execute() == TRUE) {
              $b_tanks = $q->fetchAll();
          }   else {
              die(show_message($q->errorInfo(),__line__,__file__,$sql));
          };
     $sql = "SELECT * FROM col_players WHERE account_id = '".$b_res['account_id']."' AND up < '".$b_to11."' AND up >= '".$b_from11."' ORDER BY up DESC;";
          $q = $db->prepare($sql);
          if ($q->execute() == TRUE) {
              $b_player_all = $q->fetchAll();
          }   else {
              die(show_message($q->errorInfo(),__line__,__file__,$sql));
          };

if (count($b_player_all) >1) {

//new tanks
     foreach ($b_nation as $val) {
        $sql = "SELECT * FROM col_tank_".$val['nation']." WHERE account_id = '".$b_res['account_id']."' AND up < '".$b_to11."' AND up >= '".$b_from11."' ORDER BY up DESC;";
                $q = $db->prepare($sql);
                if ($q->execute() == TRUE) {
                    $tanks = $q->fetchAll();
                } else {
                    die(show_message($q->errorInfo(),__line__,__file__,$sql));
                };

        foreach ($b_tank_name as $id => $val3) {
                 if (!isset ($b_diff_played['nation'][$b_tank_name[$id]['nation']]['win']))    $b_diff_played['nation'][$b_tank_name[$id]['nation']]['win'] = 0;
                 if (!isset ($b_diff_played['nation'][$b_tank_name[$id]['nation']]['total']))  $b_diff_played['nation'][$b_tank_name[$id]['nation']]['total'] = 0;
                 if (!isset ($b_diff_played['lvl'][$b_tank_name[$id]['lvl']]['win']))          $b_diff_played['lvl'][$b_tank_name[$id]['lvl']]['win'] = 0;
                 if (!isset ($b_diff_played['lvl'][$b_tank_name[$id]['lvl']]['total']))        $b_diff_played['lvl'][$b_tank_name[$id]['lvl']]['total'] = 0;
                 if (!isset ($b_diff_played['type'][$b_tank_name[$id]['type']]['win']))        $b_diff_played['type'][$b_tank_name[$id]['type']]['win'] = 0;
                 if (!isset ($b_diff_played['type'][$b_tank_name[$id]['type']]['total']))      $b_diff_played['type'][$b_tank_name[$id]['type']]['total'] = 0;

                 if (!isset ($b_info['nation'][$b_tank_name[$id]['nation']]['win']))           $b_info['nation'][$b_tank_name[$id]['nation']]['win'] = 0;
                 if (!isset ($b_info['nation'][$b_tank_name[$id]['nation']]['total']))         $b_info['nation'][$b_tank_name[$id]['nation']]['total'] = 0;
                 if (!isset ($b_info['lvl'][$b_tank_name[$id]['lvl']]['win']))                 $b_info['lvl'][$b_tank_name[$id]['lvl']]['win'] = 0;
                 if (!isset ($b_info['lvl'][$b_tank_name[$id]['lvl']]['total']))               $b_info['lvl'][$b_tank_name[$id]['lvl']]['total'] = 0;
                 if (!isset ($b_info['type'][$b_tank_name[$id]['type']]['win']))               $b_info['type'][$b_tank_name[$id]['type']]['win'] = 0;
                 if (!isset ($b_info['type'][$b_tank_name[$id]['type']]['total']))             $b_info['type'][$b_tank_name[$id]['type']]['total'] = 0;

           If (isset($tanks[0][$id.'_t'])) {

              if (($tanks[count($tanks)-1][$id.'_t'] == '0')&&($tanks[0][$id.'_t'] > 0)) $b_new_tank[] = $b_tank_name[$id];
              if ($tanks[count($tanks)-1][$id.'_t'] <> $tanks[0][$id.'_t']) {
                 $b_played_tanks[$id]['tank'] =  $b_tank_name[$id]['tank'];
                 $b_played_tanks[$id]['nation'] = $val['nation'];
                 $b_played_tanks[$id]['total'] = $tanks[0][$id.'_t'];
                 $b_played_tanks[$id]['win'] = $tanks[0][$id.'_w'];
                 $b_played_tanks[$id]['total_d'] = $tanks[0][$id.'_t']-$tanks[count($tanks)-1][$id.'_t'];
                 $b_played_tanks[$id]['win_d'] = $tanks[0][$id.'_w']-$tanks[count($tanks)-1][$id.'_w'];

                 $b_diff_played['nation'][$b_tank_name[$id]['nation']]['total'] += ($tanks[0][$id.'_t']- $tanks[count($tanks)-1][$id.'_t']);
                 $b_diff_played['nation'][$b_tank_name[$id]['nation']]['win'] +=   ($tanks[0][$id.'_w']- $tanks[count($tanks)-1][$id.'_w']);
                 $b_diff_played['lvl'][$b_tank_name[$id]['lvl']]['total'] +=       ($tanks[0][$id.'_t']- $tanks[count($tanks)-1][$id.'_t']);
                 $b_diff_played['lvl'][$b_tank_name[$id]['lvl']]['win'] +=         ($tanks[0][$id.'_w']- $tanks[count($tanks)-1][$id.'_w']);
                 $b_diff_played['type'][$b_tank_name[$id]['type']]['total'] +=     ($tanks[0][$id.'_t']- $tanks[count($tanks)-1][$id.'_t']);
                 $b_diff_played['type'][$b_tank_name[$id]['type']]['win'] +=       ($tanks[0][$id.'_w']- $tanks[count($tanks)-1][$id.'_w']);
                 }
              if ($tanks[0][$id.'_t'] <> '0') {
                 $b_info['nation'][$b_tank_name[$id]['nation']]['win'] += $tanks[0][$id.'_w'];
                 $b_info['nation'][$b_tank_name[$id]['nation']]['total'] += $tanks[0][$id.'_t'];
                 $b_info['lvl'][$b_tank_name[$id]['lvl']]['win'] += $tanks[0][$id.'_w'];
                 $b_info['lvl'][$b_tank_name[$id]['lvl']]['total'] += $tanks[0][$id.'_t'];
                 $b_info['type'][$b_tank_name[$id]['type']]['win'] += $tanks[0][$id.'_w'];
                 $b_info['type'][$b_tank_name[$id]['type']]['total'] += $tanks[0][$id.'_t'];
              }
           }
        }
     };


//main_data w/o tanks
     $diff = array();
     $last = array();
     foreach ($b_player_all[0] as $key => $val) {
        $last[$key] = $b_player_all[0][$key];
        if ((!is_numeric($key)) && (!In_array($key,$not_incl))) {
              $diff[$key] = $b_player_all[0][$key] - $b_player_all[count($b_player_all)-1][$key];
        }
     }; ?>

<div align="center">
  <table cellspacing="0" cellpadding="0" border="0" class="main-table">
   <tbody>
    <tr>
     <td valign="top" width="40%">
       <?php $misc4 = array ('win', 'lose', 'alive');?>
       <table cellspacing="0" cellpadding="0" border="0" align="center" class="tablesorter wid">
         <thead>
           <tr>
             <th align="center" colspan="4" style="background-color: #8dbdd8; font-size: 8pt; font-weight: bold; padding: 4px 4px;"><?=$lang['overall_title']?></th>
           </tr>
		   <tr>
		     <th align="center" style="padding: 4px 2px;" colspan="1">Показатель</th>
             <th align="center" style="padding: 4px 2px;" colspan="1">Всего</th>
             <th align="center" style="padding: 4px 2px;" colspan="1">За период</th>
		     <th align="center" style="padding: 4px 2px;" colspan="1">Прогресс</th>
		   </tr>
         </thead>
       <tbody>
		 
         <tr>
           <td><?=$lang['total'];?>:</td>
           <td><?=$last['total']?></td>
		   <td colspan="2"><?=$diff['total']?></td>
         </tr>
		 
         <?php $i = 2; foreach ($misc4 as $val) {?>
           <tr <?php if($i%2 == 0){ echo 'class="odd"'; } ?> >
             <td><?=$lang[$val];?>:</td>
             <td><?php echo $last[$val].' (';
					   echo(round($last[$val]/$last['total']*100,2)).'%)';?>
			 </td>
			 <td><?php if ($diff['total']!==0) { echo $diff[$val].' (';
					   echo(round($diff[$val]/$diff['total']*100,2)).'%)';
					   } else { 
						 echo('0');
					   };?>
			 </td>
             <td><?php
                 $delta=(($last[$val]/$last['total'])-($last[$val]-$diff[$val])/($last['total']-$diff['total']));
                 $delta = round($delta,4);
                 if ($delta >0) print_R($darkgreen.'+'.$delta.'%'.$darkend);
                 if ($delta <0) print_R($darkred.$delta.'%'.$darkend);
                 if ($delta == 0) print_R('0%');
               ?></td>
           </tr>
           <?php ++$i; }; ?>
		   <?php
			$last_draw=$last['total']-$last['lose']-$last['win'];
			$diff_draw=$diff['total']-$diff['lose']-$diff['win'];
		   ?>
         <tr>
            <td>Ничьих:</td>
            <td><?=$last_draw.' (';
				echo(round($last_draw/$last['total']*100,2)).'%)';?></td>
            <td><?php if ($diff['total']!==0) { echo $diff_draw.' (';
					echo(round($diff_draw/$diff['total']*100,2)).'%)';
					} else { 
						 echo('0');
					};?>
			</td>
            <td><?php
                if ($diff['total'] <> 0 ){
                   $delta3=(($diff['total']-$diff['lose']-$diff['win'])/$diff['total']);
                } else {
                  $delta3 = 0;
                };
                $delta3 = round($delta3,4);
                if ($delta3 > 0) print_R($darkgreen.'+'.$delta3.'%'.$darkend);
                if ($delta3 < 0) print_R($darkred.$delta3.'%'.$darkend);
                if ($delta3 == 0) print_R('0%');
                ?></td>
         </tr>
         <tr class="odd">
             <td>Период отображаемых данных:</td>
             <td><?php echo date('d.m.Y',$last['up']-$diff['up']); ?></td>
             <td colspan="2"><?php echo date('d.m.Y',$last['up']); ?></td>
         </tr>
         </tbody>
       </table>

       <?php $misc = array ('des', 'spot', 'accure', 'dmg', 'cap', 'def');?>
       <table cellspacing="0" cellpadding="0" border="0" align="center" class="tablesorter wid">
         <thead>
           <tr>
             <th align="center" colspan="4" style="background-color: #8dbdd8; font-size: 8pt; font-weight: bold; padding: 4px 4px;"><?=$lang['perform_title'];?></th>
           </tr>
		   <tr>
		     <th align="center" style="padding: 4px 2px;" colspan="1">Показатель</th>
             <th align="center" style="padding: 4px 2px;" colspan="1">Всего</th>
             <th align="center" style="padding: 4px 2px;" colspan="1">За период</th>
		     <th align="center" style="padding: 4px 2px;" colspan="1">Прогресс</th>
		   </tr>
         </thead>
         <tbody>
           <?php $i = 2; foreach ($misc as $val) {?>
           <tr <?php if($i%2 == 0){ echo 'class="odd"'; } ?> >
             <td><?=$lang[$val];?>:</td>
             <td><?php echo $last[$val].' (';
					   echo(round($last[$val]/$last['total'],2)).')';?>
			 </td>
			 <td><?php if ($diff['total']!==0) { echo $diff[$val].' (';
					   echo (round($diff[$val]/$diff['total'],2)).')';
					   } else { 
							echo('0');
					   };?>
			 </td>
                       
             <td><?php
                 $delta=(($last[$val]/$last['total'])-($last[$val]-$diff[$val])/($last['total']-$diff['total']));
                 $delta = round($delta,4);
                 if ($delta >0) print_R($darkgreen.'+'.$delta.'%'.$darkend);
                 if ($delta <0) print_R($darkred.$delta.'%'.$darkend);
                 if ($delta == 0) print_R('0%');
               ?></td>
           </tr>
           <?php ++$i; }; ?>
         </tbody>
       </table>

       <?php $misc2 = array ('gr', 'wb', 'eb', 'win', 'gpl', 'cpt', 'dmg', 'dpt' ,'frg', 'spt', 'exp');?>
       <table cellspacing="0" cellpadding="0" border="0" align="center" class="tablesorter wid">
         <thead>
		 <tr>
            <th align="center" colspan="5" style="background-color: #8dbdd8; font-size: 8pt; font-weight: bold; padding: 4px 4px;"><?=$lang['rating_title'];?></th>
          </tr>
          <tr>
            <th align="center">Показатель</th>
            <th align="center"><?=$lang['value'];?></th>
			<th align="center">Прогресс</th>
            <th align="center"><?=$lang['place'];?></th>
			<th align="center">Прогресс</th>
          </tr>
         </thead>
         <tbody>
               <?php $i = 2; foreach($misc2 as $val) { ?>
           <tr <?php if($i%2 == 0){ echo 'class="odd"'; } ?> >
             <td><?=$lang[$val];?>:</td>
             <td><?=$last[$val.'_v']; ?></td>
             <td><?php
                   if ($diff[$val.'_v'] >  0) print_R($darkgreen.'+'.$diff[$val.'_v'].$darkend);
                   if ($diff[$val.'_v'] <  0) print_R($darkred.$diff[$val.'_v'].$darkend);
                   if ($diff[$val.'_v'] == 0) print_R('0');
                 ?></td>
             <td><?=$last[$val.'_p']; ?></td>
             <td><?php
                   if ($diff[$val.'_p'] <  0) print_R($darkgreen.$diff[$val.'_p'].$darkend);
                   if ($diff[$val.'_p'] >  0) print_R($darkred.'+'.$diff[$val.'_p'].$darkend);
                   if ($diff[$val.'_p'] == 0) print_R('0');
                 ?></td>
           </tr>
               <?php ++$i; } ?>
         </tbody>
       </table>
     </td>
     <td valign="top" width="30%">
       <?php $misc4 = array ('type', 'nation', 'lvl');
             foreach ($misc4 as $mkey) {?>

       <table cellspacing="0" cellpadding="0" align="center" class="tablesorter wid">
         <thead>
           <tr>
             <td colspan="7" align="center" style="background-color: #8dbdd8; font-size: 8pt; font-weight: bold; padding: 4px 4px;">Боевая эффективность по
             <?php if ($mkey == 'type') print_R(' классам техники</td></tr><tr><th align="center" style="padding: 4px 2px;">Класс техники</th>');
                   if ($mkey == 'nation') print_R(' нациям</td></tr><tr><th align="center" style="padding: 4px 2px;">Нация</th> ');
                   if ($mkey == 'lvl') print_R(' уровням техники</td></tr><tr><th align="center" style="padding: 4px 2px;">Уровень</th>');
             ?>
             <th align="center" style="padding: 0px 4px;" colspan="2">Боев</th>
             <th align="center" style="padding: 0px 4px;" colspan="2">Побед</th>
             <th align="center" style="padding: 0px 4px;" colspan="2">% Побед</th>
           </tr>
         </thead>
         <tbody>
           <?php foreach($b_info[$mkey] as $key_key =>$val) { ?>
           <tr>
             <td><?php if ($mkey <> 'lvl') {
                           echo $lang[$key_key] ;
                       } else {
                        echo $key_key;
                       };
                 ?></td>
             <td><?=$val['total']; ?></td>
             <td><?php if ($b_diff_played[$mkey][$key_key]['total'] <> 0) echo '+';
                       echo $b_diff_played[$mkey][$key_key]['total']?></td>
             <td><?=$val['win']; ?></td>
             <td><?php if ($b_diff_played[$mkey][$key_key]['win'] <> 0) echo '+';
                       echo $b_diff_played[$mkey][$key_key]['win'];?></td>
             <td><?php if ($val['total']<> 0) {
                          echo round($val['win']/$val['total']*100,2);
                       } else {
                          echo '0';
                       }
                 ?>%</td>
             <td><?php
                 if (($b_diff_played[$mkey][$key_key]['total'] <> 0)&&($val['total'] <> $b_diff_played[$mkey][$key_key]['total'])) {
                   $rett1 = round( $val['win']/$val['total']*100 - ($val['win'] - $b_diff_played[$mkey][$key_key]['win'])/($val['total'] - $b_diff_played[$mkey][$key_key]['total'])*100,2);
                 } else {
                   $rett1 = 0;
                 }
                 if ($rett1 >0) print_R($darkgreen.'+'.$rett1.'%'.$darkend);
                 if ($rett1 <0) print_R($darkred.$rett1.'%'.$darkend);
                 if ($rett1 == 0) print_R('0');
                 ?></td>
           </tr>
           <?php } ?>
         </tbody>
       </table>
       <?php }; //foreach?>
     </td>
     <td valign="top" width="30%">
       <?php $misc3 = array ('exp', 'averag_exp', 'max_exp');?>
       <table cellspacing="0" cellpadding="0" border="0" align="center" class="t-table">
         <thead>
           <tr>
             <th align="center" colspan="3"><?= $lang['battel_title'];?></th>
           </tr>
         </thead>
         <tbody>
               <?php $i=2; foreach($misc3 as $val) { ?>
           <tr <?php if($i%2 == 0){ echo 'class="odd"'; } ?> >
             <td><?=$lang[$val]; ?>:</td>
             <td><?=$last[$val]; ?></td>
             <td><?php
                   if ($diff[$val] >  0) print_R($darkgreen.'+'.$diff[$val].$darkend);
                   if ($diff[$val] <  0) print_R($darkred.$diff[$val].$darkend);
                   if ($diff[$val] == 0) print_R('0');
                 ?></td>
           </tr>
               <?php ++$i; } ?>
         </tbody>
       </table>
       <?php If ($last['total'] <> 0) {
                $effect['des'] = $last['des'] / $last['total'];
                $effect['dmg'] = $last['dmg'] / $last['total'];
                $effect['spot'] = $last['spot'] / $last['total'];
                $effect['def'] = $last['def'] / $last['total'];
                $effect['cap'] = $last['cap'] / $last['total'];
                $effect['lvl'] = 0;
                foreach ($b_info['lvl'] as $lvl_key => $val)
                  $effect['lvl'] += $lvl_key*$val['total']/$last['total'];
                $eff_rating = round($effect['dmg']*(10/$effect['lvl'])*(0.15+2*$effect['lvl']/100) + $effect['des']*(0.35-2*$effect['lvl']/100)*1000 + $effect['spot']*0.2*1000 + $effect['cap']*0.15*1000 + $effect['def']*0.15*1000,2);

                $effect['des2'] = ($last['des'] - $diff['des'])  / ($last['total']- $diff['total']);
                $effect['dmg2'] = ($last['dmg'] - $diff['dmg'])  / ($last['total']- $diff['total']);
                $effect['spot2'] = ($last['spot'] - $diff['spot']) / ($last['total']- $diff['total']);
                $effect['def2'] = ($last['def'] - $diff['def'])  / ($last['total']- $diff['total']);
                $effect['cap2'] = ($last['cap'] - $diff['cap'])  / ($last['total']- $diff['total']);
                $effect['lvl2'] = 0;
                foreach ($b_info['lvl'] as $lvl_key => $val)
                  $effect['lvl2'] += $lvl_key*$val['total']/($last['total']- $diff['total']);
                $eff_rating_ = round($effect['dmg2']*(10/$effect['lvl2'])*(0.15+2*$effect['lvl2']/100) + $effect['des2']*(0.35-2*$effect['lvl2']/100)*1000 + $effect['spot2']*0.2*1000 + $effect['cap2']*0.15*1000 + $effect['def2']*0.15*1000,2);
                $eff_rating2 = round($eff_rating - $eff_rating_,2);
                $eff_ratingb = round((log($last['total'])/10)*(($last['averag_exp']*1)+($effect['dmg']*(($last['win']/$last['total'])*2+$effect['des']*0.9+$effect['spot']*0.5+$effect['def']*0.5+$effect['cap']*0.5))),0);
                $eff_ratingb_ = round((log($last['total']- $diff['total'])/10)*((($last['averag_exp']-$diff['averag_exp'])*1)+($effect['dmg2']*((($last['win']- $diff['win'])/($last['total']- $diff['total']))*2+$effect['des2']*0.9+$effect['spot2']*0.5+$effect['def2']*0.5+$effect['cap2']*0.5))),0);
                $eff_ratingb2 = $eff_ratingb- $eff_ratingb_;

             }  else {
                $eff_rating = 0;
             }

         switch ($eff_rating) {
           case ($eff_rating < 600):
             $color = 'red';
             break;
           case ($eff_rating < 900):
             $color = 'slategray';
             break;
           case ($eff_rating < 1200):
             $color = 'green';
             break;
           case ($eff_rating < 1500):
             $color = 'royalblue';
             break;
           case ($eff_rating < 1800):
             $color = 'purple';
             break;
           default:
             $color = '#FF7900';
             break;
         };
         switch ($eff_ratingb) {
           case ($eff_ratingb > 7250):
             $textt = 'Виртуоз — рейтинг выше, чем у 99% игроков';$imgg='http://armor.kiev.ua/wot/images/classVf.png';
             break;
           case ($eff_ratingb > 5555):
             $textt = 'Мастер-танкист — рейтинг выше, чем у 95% игроков';$imgg='http://armor.kiev.ua/wot/images/classMf.png';
             break;
           case ($eff_ratingb > 3875):
             $textt = 'Танкист 1-го класса — рейтинг выше, чем у 80% игроков';$imgg='http://armor.kiev.ua/wot/images/class1f.png';
             break;
           case ($eff_ratingb > 2750):
             $textt = 'Танкист 2-го класса — рейтинг выше, чем у 60% игроков';$imgg='http://armor.kiev.ua/wot/images/class2f.png';
             break;
           case ($eff_ratingb > 2175):
             $textt = 'Танкист 3-го класса — рейтинг выше, чем у 45% игроков';$imgg='http://armor.kiev.ua/wot/images/class3f.png';
             break;
           case ($eff_ratingb > 1500):
             $textt = 'Оленевод 3-го класса — рейтинг выше, чем у 30% игроков';$imgg='http://armor.kiev.ua/wot/images/deer3f.png';
             break;
           case ($eff_ratingb > 1075):
             $textt = 'Оленевод 2-го класса — рейтинг выше, чем у 20% игроков';$imgg='http://armor.kiev.ua/wot/images/deer2f.png';
             break;
           case ($eff_ratingb > 625):
             $textt = 'Оленевод 1-го класса — рейтинг выше, чем у 10% игроков';$imgg='http://armor.kiev.ua/wot/images/deer1f.png';
             break;
           default:
             $textt = 'Мастер-оленевод — рейтинг ниже, чем у 10% игроков';$imgg='http://armor.kiev.ua/wot/images/deerMf.png';
             break;
         };
       ?>
       <table cellspacing="0" cellpadding="0" border="0" align="center" class="t-table">
         <thead>
           <tr>
            <th align="center" colspan="2" ><span class="bb" style="border-bottom: 1px dashed #666666; cursor: pointer;" title="<?=$lang['overall_eff_table'];?>">
            Рейтинг эффективности (c)</span><br><a href="http://wot-news.com" target="_blank">wot-news.com</a></th>
           </tr>
         </thead>
         <tbody>
           <tr class="odd">
             <td align="center"><font color="<?=$color; ?>"><?=$eff_rating; ?></font></td>
             <td align="center"><?php if ($eff_rating2 >  0) print_R($darkgreen.'+'.$eff_rating2.$darkend);
                                      if ($eff_rating2 <  0) print_R($darkred.$eff_rating2.$darkend);
                                      if ($eff_rating2 == 0) print_R('0');
                                ?>
             </td>
           </tr>
         </tbody>
       </table>

       <table cellspacing="0" cellpadding="0" border="0" align="center" class="t-table">
         <thead>
           <tr>
            <th align="center" colspan="2" ><span class="bb" style="border-bottom: 1px dashed #666666; cursor: pointer;"
                title="Данный рейтинг не имеет четких показательных границ.>">Рейтинг бронесайта (c)</span>
                <br><a href="http://armor.kiev.ua/wot/" target="_blank">armor.kiev.ua/wot</a></th>
           </tr>
         </thead>
         <tbody>
           <tr class="odd">
             <td align="center"><?=$eff_ratingb; ?></td>
             <td align="center"><?php if ($eff_ratingb2 >  0) print_R($darkgreen.'+'.$eff_ratingb2.$darkend);
                                      if ($eff_ratingb2 <  0) print_R($darkred.$eff_ratingb2.$darkend);
                                      if ($eff_ratingb2 == 0) print_R('0');
                                ?>
             </td>
           </tr>
           <tr>
             <td align="center" colspan="2"><?php print_R('<img src="'.$imgg.'" />'); ?></td>
           </tr>
           <tr class="odd">
             <td align="center" colspan="2"><?=$textt; ?></td>
           </tr>
         </tbody>
       </table>

       <table cellspacing="0" cellpadding="0" border="0" align="center" class="t-table">
         <thead>
           <tr>
             <th align="center" colspan="3">Стиль игры (c)<br><a href="http://emem.ru/" target="_blank">emem.ru</a></th>
           </tr>
         </thead>
         <tbody>
           <tr class="odd">
             <td><span class="bb" style="border-bottom: 1px dashed #666666; cursor: pointer;" title="Отношение суммы уничтоженных и обнаруженных врагов к количеству проведенных боев">Общая агресивность</span>:</td>
             <td><?php echo number_format(($last['spot']+$last['des'])/$last['total'],2); ?></td>
             <td><?php $shown = round ( ($last['total']*($diff['spot']+$diff['des']) - $last['spot']*$diff['total'] - $last['des']*$diff['total'])/$last['total']/($last['total']-$diff['total']),2);
                       if ($shown >  0) print_R($darkgreen.'+'.$shown.$darkend);
                       if ($shown <  0) print_R($darkred.$shown.$darkend);
                       if ($shown == 0) print_R('0');
                 ?></td>
           </tr>
           <tr>
             <td><span class="bb" style="border-bottom: 1px dashed #666666; cursor: pointer;" title="Отношение уничтоженных врагов к количеству проведенных боев">Боец</span>:</td>
             <td><?php echo number_format($last['des']/$last['total'],2); ?></td>
             <td><?php $shown = round ( ($last['total']*$diff['des'] - $last['des']*$diff['total']) / $last['total'] /($last['total']-$diff['total']), 2);
                       if ($shown >  0) print_R($darkgreen.'+'.$shown.$darkend);
                       if ($shown <  0) print_R($darkred.$shown.$darkend);
                       if ($shown == 0) print_R('0');
                 ?></td>
           </tr>
           <tr class="odd">
             <td><span class="bb" style="border-bottom: 1px dashed #666666; cursor: pointer;" title="Отношение обнаруженных врагов к количеству проведенных боев">Разведчик</span>:</td>
             <td><?php echo number_format($last['spot']/$last['total'],2); ?></td>
             <td><?php $shown = round ( ($last['total']*$diff['spot'] - $last['spot']*$diff['total']) / $last['total'] /($last['total']-$diff['total']), 2);
                       if ($shown >  0) print_R($darkgreen.'+'.$shown.$darkend);
                       if ($shown <  0) print_R($darkred.$shown.$darkend);
                       if ($shown == 0) print_R('0');
                 ?></td>
           </tr>
           <tr>
             <td><span class="bb" style="border-bottom: 1px dashed #666666; cursor: pointer;" title="Отношение количества очков захвата базы к количеству проведенных боев">Захватчик</span>:</td>
             <td><?php echo number_format($last['cap']/$last['total'],2); ?></td>
             <td><?php $shown = round ( ($last['total']*$diff['cap'] - $last['cap']*$diff['total']) / $last['total'] /($last['total']-$diff['total']), 2);
                       if ($shown >  0) print_R($darkgreen.'+'.$shown.$darkend);
                       if ($shown <  0) print_R($darkred.$shown.$darkend);
                       if ($shown == 0) print_R('0');
                 ?></td>
           </tr>
           <tr class="odd">
             <td><span class="bb" style="border-bottom: 1px dashed #666666; cursor: pointer;" title="Отношение сколичества очков защиты базы к количеству проведенных боев">Защитник</span>:</td>
             <td><?php echo number_format($last['def']/$last['total'],2); ?></td>
             <td><?php $shown = round ( ($last['total']*$diff['def'] - $last['def']*$diff['total']) / $last['total'] /($last['total']-$diff['total']), 2);
                       if ($shown >  0) print_R($darkgreen.'+'.$shown.$darkend);
                       if ($shown <  0) print_R($darkred.$shown.$darkend);
                       if ($shown == 0) print_R('0');
                 ?></td>
           </tr>
         </tbody>
       </table>

       <?php if (isset($b_new_tank)) { ?>
       <table cellspacing="0" cellpadding="0" border="0" align="center" class="t-table" style="position: relative;">
         <thead>
          <tr>
            <th align="center" colspan="2"><?=$lang['new_tanks'];?></th>
          </tr>
         </thead>
       <tbody>
         <?php $i = 2; foreach($b_new_tank as $val) { ?>
         <tr style="height:40px;"<?php if($i%2 == 0){ echo 'class="odd"'; } ?> >
            <td width="50%"><?=$val['tank']; ?></td>
            <td width="50%"><?php print_R('<img style="right: 50px; position: absolute;" src="'.$config['td'].'/static/3.6.0.1/common/img/nation/'.$val['nation'].'.png" />');
                                  print_R('<img style="right: 0px; position: absolute;" src="'.$config['td'].$val['link'].'" />'); ?>
            </td>
         </tr>
         <?php ++$i; } ?>
       </tbody>
       </table>
       <?php }; ?>
     </td>
    </tr>
  </tbody>
</table>

<?php $b_pl_mp = array();
      $b_pl_mp1 = medal_progress($b_from11, $b_to11);
      $count_med = 0;
      Unset($b_pl_mp1['unsort']);
      if (isset($b_pl_mp1['sorted'])) {
          foreach ($b_pl_mp1['sorted'] as $mdtype => $val) {
             foreach ($val as $id =>$val2) {
                if ($id == $b_res['account_id']) $b_pl_mp[$mdtype] = $val2;
             }
         }
      }

      Unset ($b_pl_mp['mechanicEngineers'], $b_pl_mp['tankExperts']);
      ksort($b_pl_mp);
      foreach ($b_pl_mp as $keytype => $val){
         foreach ($val as $keymedal => $val2){
            $count_med += $val2;
         }
      }
      Unset ($b_pl_mp1);
?>
</div>
<? if (count($b_played_tanks)>0) { ?>
<div align="center">
<br>
<table cellspacing="0" cellpadding="0" align="center" class="tablesorter wid">
    <thead>
      <tr>
        <th colspan="23" align="center" style="background-color: #8dbdd8; font-size: 8pt; font-weight: bold; padding: 4px;">Статистика по отдельным машинам</th>
      </tr>
      <tr>
        <th align="center"><?=$lang['name'];?></th>
        <th align="center" colspan="2">Боев</th>
        <th align="center" colspan="4"><?=$lang['victories'];?></th>
        <th align="center" colspan="4"><?=$lang['battles_s'];?></th>
        <th align="center" colspan="4"><?=$lang['spo'];?></th>
        <th align="center" colspan="4"><?=$lang['damage'];?></th>
        <th align="center" colspan="4"><?=$lang['destroyed'];?></th>
      </tr>
      <tr>
        <th align="center" ></th>
        <th align="center" colspan="2"></th>
        <th align="center" colspan="2">Кол-во</th>
        <th align="center" colspan="2">%</th>
        <th align="center" colspan="2">Кол-во</th>
        <th align="center" colspan="2">%</th>
        <th align="center" colspan="2">Кол-во</th>
        <th align="center" colspan="2">Среднее за бой</th>
        <th align="center" colspan="2">Кол-во</th>
        <th align="center" colspan="2">Среднее за бой</th>
        <th align="center" colspan="2">Кол-во</th>
        <th align="center" colspan="2">Среднее за бой</th>
      </tr>
    </thead>
    <tbody>
    <? $i = 2;
       foreach ($b_played_tanks as $idkey => $val) {
          $sql = "SELECT * FROM col_rating_tank_".$val['nation']." WHERE account_id = '".$b_res['account_id']."' AND up < '".$b_to11."' AND up >= '".$b_from11."' ORDER BY up DESC;";
               $q = $db->prepare($sql);
               if ($q->execute() == TRUE) {
                   $b_tanks = $q->fetchAll();
               }   else {
                   die(show_message($q->errorInfo(),__line__,__file__,$sql));
               };
       $b_misc8_sp = array ('_sp', '_dd', '_fr'); ?>

      <tr <?php if($i%2 == 0){ echo 'class="odd"'; } ?> >
        <?php if ($val['total'] <> $val['total_d']) { ?>
        <td><?=$val['tank']; ?></td>
        <td><?=$val['total']; ?></td>
        <td>+<?=$val['total_d']; ?></td>
        <td class="pad"><?=$val['win']; ?></td>
        <td class="pad"><?php if ($val['win_d']<>0) echo '+';
                  echo $val['win_d']; ?></td>
        <td class="pad"><?php echo round ($val['win']/$val['total']*100,2); ?>%</td>
        <td class="pad"><?php $shown = Round($val['win']/$val['total']*100 - ($val['win']- $val['win_d'])/($val['total'] - $val['total_d'])*100,2);
                  if ($shown >  0) print_R($darkgreen.'+'.$shown.'%'.$darkend);
                  if ($shown <  0) print_R($darkred.$shown.'%'.$darkend);
                  if ($shown == 0) print_R('0%');
            ?></td>
        <td class="pad"><?php echo $b_tanks[0][$idkey.'_sb']; ?></td>
        <td class="pad"><?php $shown = $b_tanks[0][$idkey.'_sb']-$b_tanks[count($b_tanks)-1][$idkey.'_sb'];
                  if ($shown<>0) echo '+';
                  echo $shown;
            ?></td>
        <td class="pad"><?php echo Round($b_tanks[0][$idkey.'_sb']/$val['total']*100,2); ?>%</td>
        <td class="pad"><?php $shown = Round($b_tanks[0][$idkey.'_sb']/$val['total']*100 - ($b_tanks[count($b_tanks)-1][$idkey.'_sb'])/($val['total'] - $val['total_d'])*100,2);
                  if ($shown >  0) print_R($darkgreen.'+'.$shown.'%'.$darkend);
                  if ($shown <  0) print_R($darkred.$shown.'%'.$darkend);
                  if ($shown == 0) print_R('0%');
            ?></td>
        <?php foreach ($b_misc8_sp as $misk_key) { ?>

        <td class="pad"><?php echo $b_tanks[0][$idkey.$misk_key]; ?></td>
        <td class="pad"><?php $shown = $b_tanks[0][$idkey.$misk_key]-$b_tanks[count($b_tanks)-1][$idkey.$misk_key];
                  if ($shown<>0) echo '+';
                  echo $shown;
            ?></td>
        <td class="pad"><?php echo Round($b_tanks[0][$idkey.$misk_key]/$val['total'],2); ?></td>
        <td class="pad"><?php $shown = Round($b_tanks[0][$idkey.$misk_key]/$val['total'] - ($b_tanks[count($b_tanks)-1][$idkey.$misk_key])/($val['total'] - $val['total_d']),2);
                  if ($shown >  0) print_R($darkgreen.'+'.$shown.$darkend);
                  if ($shown <  0) print_R($darkred.$shown.$darkend);
                  if ($shown == 0) print_R('0');
            ?></td>


        <?php } ;

        } else { ?>
        <td class="pad"><?=$val['tank']; ?></td>
        <td class="pad"><?=$val['total']; ?></td>
        <td class="pad"><?php print_R('-');?></td>
        <td class="pad"><?=$val['win']; ?></td>
        <td class="pad"><?php print_R('-');?></td>
        <td class="pad"><?php echo round ($val['win']/$val['total']*100,2); ?>%</td>
        <td class="pad"><?php print_R('-');?></td>
        <td class="pad"><?php echo $b_tanks[0][$idkey.'_sb']; ?></td>
        <td class="pad"><?php print_R('-');?></td>
        <td class="pad"><?php echo Round($b_tanks[0][$idkey.'_sb']/$val['total']*100,2); ?>%</td>
        <td class="pad"><?php print_R('-');?></td>
        <?php foreach ($b_misc8_sp as $misk_key) { ?>

        <td class="pad"><?php echo $b_tanks[0][$idkey.$misk_key]; ?></td>
        <td class="pad"><?php print_R('-');?></td>
        <td class="pad"><?php echo Round($b_tanks[0][$idkey.$misk_key]/$val['total'],2); ?></td>
        <td class="pad"><?php print_R('-');?></td>
        <?php } }; ?>
      </tr>
<?   $i++;  } ?>
    </tbody>
</table>
</div>
<? };
if ($count_med>0) {
      $sql = "SELECT medalCarius, medalEkins, medalKay, medalLeClerc, medalAbrams, medalPoppel, medalLavrinenko, medalKnispel FROM col_medals WHERE account_id = '".$b_res['account_id']."' AND up < '".$b_to11."' AND up >= '".$b_from11."' ORDER BY up DESC;";
      $q = $db->prepare($sql);
      if ($q->execute() == TRUE) {
          $b_medals = $q->fetchAll();
      }   else {
          die(show_message($q->errorInfo(),__line__,__file__,$sql));
      };
      foreach ($b_pl_mp['major'] as $key => $val){
         if (($val == '-1')) {
              $b_pl_mp['major'][$key]=$b_medals[0][$key];
         }
      }; ?>
<br>
<div align="center">
<table cellspacing="0" cellpadding="0" style="border-collapse:collapse; border:1px solid #666; width:100%; margin-bottom:10px;">
  <thead>
    <tr>
      <th style="background-color: #8dbdd8; font-size: 8pt; font-weight: bold; padding: 4px;">Статистика по наградам и достижениям</th>
    </tr>
  </thead>
  <tbody>
  <?php foreach($b_pl_mp as $type_key => $tmp) { ?>
    <tr class="colNames">
      <th><?=$lang[$type_key]; ?></th>
    </tr>
    <tr>
      <td class="medalContainer">
      <?php foreach($tmp as $tm => $val) {
               $tm2 = ucfirst($tm);
               if (($type_key == 'major') && ($val <> '0')) {$tm2 .= $val;};
               if ($tm<>'lumberjack') { ?>
                  <div class="medalDiv">
                    <img width="67" height="71" title="<?php echo '<center>'.$lang['medal_'.$tm].'</center>'.$lang['title_'.$tm]; ?>" class="bb hint_small <?php if($val == 0) {echo 'faded';} ?>" alt="<?=$lang['title_'.$tm]; ?>" src="<?php print_R('./images/medals/'.$tm2.'.png'); ?>">
                    <div class="a_num"><?=$val; ?></div>
                  </div>
          <?   }
            } ?>
      </td>
    </tr>
  <?    }; ?>
  </tbody>
</table>
</div>
<? }; ?>
<?} else {?>
    <div class="num"><?=$lang['error_cron_off_or_none'];?></div>
  <?php };
} else Print_R('Выбрите две корректные даты!');
Unset($b_tanks);
 ?>
</div>